<?php
require_once(LIB.'Post.class.php');
$post = new Post();

$themes = $post->getThemeCloud(NULL);
$cnt = $post->countTheme();

$title = 'テーマクラウド';
$box = get_show_boxes(__FILE__);
$script = <<<EOD
	$(function() {
		T.initRead(true);
	});
EOD;
include LAYOUTS.'header.inc.php';
include LAYOUTS.'control.inc.php';
?>
<div id="content-container" class="container ui-widget">
	<div class="box controller ui-widget-content ui-corner-all">
		<div class="controller-box theme-box">
			<div class="sub-box">
				<div id="recent_theme_container">
<?php
if (! empty($themes)) {
	foreach ($themes as $k => $v) {
		echo '<a href="'.BASE_URL.'theme/'.rawurlencode($v['t_theme']).'" class="name" style="font-size:'.(100+($v['rcnt']*2)).'%;">'.h($v['t_theme']).'('.$v['rcnt'].')</a> ';
	}
}
?>
				</div>
			</div>
		</div>
	</div>
</div>
<?php
include LAYOUTS.'footer.inc.php';
?>